Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.extras
Class FastPropertyAccessorProviderDraft

    java.lang.Object
      com.jgoodies.binding.extras.FastPropertyAccessorProviderDraft

All Implemented Interfaces:
  PropertyAccessors.PropertyAccessorProvider

    public final class FastPropertyAccessorProviderDraft

extends Object
implements PropertyAccessors.PropertyAccessorProvider

Provides a faster lookup for PropertyAccessors compared to the Introspection-based default PropertyAccessorProvider. This class does not look up BeanInfo classes, and it omits methods declared in the classes: Object, `AbstractBean`, and `Model`. It does not comply with the Bean specification, but will work in most cases, because typical domain classes do not have BeanInfo classes.

Since:
  2.2
Version:
  $Revision: 1.3 $
Author:
  Karsten Lentzsch

Constructor Summary
`FastPropertyAccessorProviderDraft()`

Method Summary
`PropertyAccessor` | `getAccessor(Class<?> beanClass, String propertyName, String getterName, String setterName)` Looks up and returns a PropertyAccessor for the given bean class and the specified property, getter, and setter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastPropertyAccessorProviderDraft

    public FastPropertyAccessorProviderDraft()

Method Detail

### getAccessor

    public PropertyAccessor getAccessor(Class<?> beanClass,
                                        String propertyName,
                                        String getterName,
                                        String setterName)

  Description copied from interface: `PropertyAccessors.PropertyAccessorProvider`
  Looks up and returns a PropertyAccessor for the given bean class and the specified property, getter, and setter.

  Specified by:
    `getAccessor` in interface `PropertyAccessors.PropertyAccessorProvider`
  Parameters:
    `beanClass` - the class the provides the property
    `propertyName` - the name of the property, e.g. "name", "enabled"
    `getterName` - the name of the getter, e.g. "getName", "isEnabled"
    `setterName` - the name of the setter, e.g. "setName", "setEnabled"
  Returns:
    a PropertyAccessor for the given property that reads property values using a read method with the given getter name, and sets property values using a write method with the given setter name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.